<div class="${properties.kcFormGroupClass!} ${messagesPerField.printIfExists('firstName',properties.kcFormGroupErrorClass!)}">
    <div class="${properties.kcInputWrapperClass!}">${msg("firstName")} <sub>*</sub>
      {%if 'description' in field %}<p>{{field.description}}</p>{% endif %}
        <input required require type="text" 
            id="firstName" 
            class="${properties.kcInputClass!}" 
            name="firstName" 
            value="${(register.formData.firstName!'')}"
            onchange="set_user_name()" />
    </div>
</div>
